"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const dotenv_1 = __importDefault(require("dotenv"));
const jobIngestionRoutes_1 = __importDefault(require("./routes/jobIngestionRoutes"));
const jobSearchRoutes_1 = __importDefault(require("./routes/jobSearchRoutes"));
const jobIngestionController_1 = require("./controllers/jobIngestionController");
dotenv_1.default.config();
const app = (0, express_1.default)();
const PORT = process.env.PORT || 3000;
app.use(express_1.default.json());
app.use(jobIngestionRoutes_1.default);
app.use(jobSearchRoutes_1.default);
app.post('/api/ingest-jobs', jobIngestionController_1.ingestJobOffers);
app.listen(PORT, () => {
    console.log(`Server is running on port ${PORT}`);
});
