import express from 'express';
import dotenv from 'dotenv';
import jobIngestionRoutes from './routes/jobIngestionRoutes';
import jobSearchRoutes from './routes/jobSearchRoutes';
import { ingestJobOffers } from './controllers/jobIngestionController';
import { startJobIngestionScheduler } from './utils/jobScheduler'; // <-- AJOUTE CETTE LIGNE

dotenv.config();

const app = express();
const PORT = process.env.PORT || 3000;

app.use(express.json());

app.use(jobIngestionRoutes);
app.use(jobSearchRoutes);
app.post('/api/ingest-jobs', ingestJobOffers);

app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}`);
  startJobIngestionScheduler(); // <-- AJOUTE CETTE LIGNE
});
